> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アクティブなリラベル run を選択する

> データセットで使用するリラベル済みの出力を選択するか、null を指定して選択を解除します。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml PUT /tasks/{alias}/datasets/{datasetId}/active-relabel
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/{alias}/datasets/{datasetId}/active-relabel:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetId'
    put:
      tags:
        - Datasets
      summary: 実行中のリラベル run を選択
      description: データセットで使用するリラベル済みの出力を選択するか、null を指定して選択を解除します。
      operationId: setActiveRelabel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                relabel_run_id:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
              required:
                - relabel_run_id
              additionalProperties: false
      responses:
        '200':
          description: 現在選択されているリラベル。
          content:
            application/json:
              schema:
                type: object
                required:
                  - active_relabel_run_id
                properties:
                  active_relabel_run_id:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````